Tool: delete_acl
Deletes a Google Cloud Managed Service for Apache Kafka ACL. Please provide the Project ID, Location, Cluster ID, and ACL ID.
A DeleteAclRequest is used to delete an ACL.
name(required): The name of the ACL to delete. Structured likeprojects/{project}/locations/{location}/clusters/{cluster}/acls/{acl_id}. The structure ofacl_iddefines the Resource Pattern (resource_type, resource_name, pattern_type) of the acl.acl_idis structured like one of the following:- For ACLs on the cluster:
cluster - For ACLs on a single resource within the cluster:
topic/{resource_name},consumerGroup/{resource_name}, ortransactionalId/{resource_name} - For ACLs on all resources that match a prefix:
topicPrefixed/{resource_name},consumerGroupPrefixed/{resource_name}, ortransactionalIdPrefixed/{resource_name} - For ACLs on all resources of a given type (i.e. the wildcard literal "*"):
allTopics(representstopic/*),allConsumerGroups(representsconsumerGroup/*), orallTransactionalIds(representstransactionalId/*)
- For ACLs on the cluster:
The following sample demonstrate how to use curl to invoke the delete_acl MCP tool.
| Curl Request |
|---|
curl --location 'https://managedkafka.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "delete_acl", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request for DeleteAcl.
DeleteAclRequest
| JSON representation |
|---|
{ "name": string } |
| Fields | |
|---|---|
name |
Required. The name of the acl to delete. Structured like: The structure of |
Output Schema
A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:
service Foo {
rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}
Tool Annotations
Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌